com.brightcove.ssai.timeline.ticker

## Enum Ticker.Position

- java.lang.Object
- - java.lang.Enum<Ticker.Position>
  - - com.brightcove.ssai.timeline.ticker.Ticker.Position

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Ticker.Position>
  Enclosing interface:
    Ticker

      public static enum Ticker.Position
      extends java.lang.Enum<Ticker.Position>

  Describes the positions where the Ticker can start.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PLAYER` Specifies to use the current position of the Player.
    `TICKER` Specifies to use the current position of the Ticker.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Ticker.Position` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Ticker.Position[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TICKER

          public static final Ticker.Position TICKER

      Specifies to use the current position of the Ticker.

    - #### PLAYER

          public static final Ticker.Position PLAYER

      Specifies to use the current position of the Player.

  - ### Method Detail

    - #### values

          public static Ticker.Position[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Ticker.Position c : Ticker.Position.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Ticker.Position valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null